# steamos prometheus

Heavily inspired by [Xe's guide to getting tailscale running](https://tailscale.com/blog/steam-deck/), this script installs prometheus' `node_exporter` onto a Steam Deck in a way that _should_ survive system updates.

## Usage

Make sure you have `sudo` access when in desktop mode by [setting a password for your `deck` user](https://gitlab.com/popsulfr/steam-deck-tricks#easy-ssh-access-to-the-steam-deck).

Copy `./install.sh` onto your Deck, either over SSH or by copying it from a browser, then run `sudo bash ./install.sh`.

If this is the first time you've installed a system extension, run `sudo systemd-sysext merge`.
If you've already done something like the Tailscale install mentioned above, just `sudo systemd-sysext refresh`.

To make sure that system extensions are loaded after reboot, run

```sh
sudo systemctl enable systemd-sysext
sudo systemctl start systemd-sysext
```

Then you should be able to just

```sh
sudo systemctl enable prometheus-node-exporter
sudo systemctl start prometheus-node-exporter
```

Installing a collector for the metrics now available on `:9100` is left as an exercise for the reader, but I figure if you're devoted to tracking system metrics enough to try and install prometheus on your Steam Deck you've probably already got a setup for that.

## References

* <https://tailscale.com/blog/steam-deck/>
* <https://blogs.igalia.com/berto/2022/09/13/adding-software-to-the-steam-deck-with-systemd-sysext/>
